This is the official [Java driver](https://github.com/Factual/factual-java-driver) for [Factual's API](http://developer.factual.com):

## Driver Documentation

* [Getting Started](https://github.com/Factual/factual-java-driver/wiki/Getting-Started)
* [Debugging and Support](https://github.com/Factual/factual-java-driver/wiki/Debugging-and-Support)

### Querying Factual Data

* [Get a Single Row](https://github.com/Factual/factual-java-driver/wiki/Get-a-Single-Row)
* [Query Filters](https://github.com/Factual/factual-java-driver/wiki/Query-Filters)
* [Field Selection](https://github.com/Factual/factual-java-driver/wiki/Field-Selection)
* [Row Filters](https://github.com/Factual/factual-java-driver/wiki/Row-Filters)
* [Geo Filters](https://github.com/Factual/factual-java-driver/wiki/Geo-Filters)
* [Paging: Limit and Offset](https://github.com/Factual/factual-java-driver/wiki/Paging)
* [Sorting Results](https://github.com/Factual/factual-java-driver/wiki/Sorting-Results)
* [Improving Search Results](https://github.com/Factual/factual-java-driver/wiki/Improving-search-results)

### Other APIs

* [Crosswalk API](https://github.com/Factual/factual-java-driver/wiki/Crosswalk)
* [Match API](https://github.com/Factual/factual-java-driver/wiki/Match) and [Resolve API](https://github.com/Factual/factual-java-driver/wiki/Resolve)
* [Geopulse](https://github.com/Factual/factual-java-driver/wiki/Geopulse)

### Supporting Calls & Services

* [Facets Call](https://github.com/Factual/factual-java-driver/wiki/Facets)
* [Schema Call](https://github.com/Factual/factual-java-driver/wiki/Schema)
* [Geocoding](https://github.com/Factual/factual-java-driver/wiki/Geocoding)

### Using Specific Datasets

* [World Geographies](https://github.com/Factual/factual-java-driver/wiki/World-Geographies)
* [Global Products](https://github.com/Factual/factual-java-driver/wiki/Products)
* [Products Crosswalk](https://github.com/Factual/factual-java-driver/wiki/Products-Crosswalk)

### Writing to Factual

* [Submit](https://github.com/Factual/factual-java-driver/wiki/Submit) and [Insert](https://github.com/Factual/factual-java-driver/wiki/Insert)<br/>
* [Clear](https://github.com/Factual/factual-java-driver/wiki/Clear)<br/>
* [Flag an Entity](https://github.com/Factual/factual-java-driver/wiki/Flag)<br/>

### Other Items & Miscellany

* [Raw Requests](https://github.com/Factual/factual-java-driver/wiki/Raw-Requests)
* [Multi Queries](https://github.com/Factual/factual-java-driver/wiki/Multi-Queries)
* [Diffs](https://github.com/Factual/factual-java-driver/wiki/Diffs)
* [Set Request Timeout](https://github.com/Factual/factual-java-driver/wiki/Request-Timeout)

## API Documentation

* [Factual REST API Documentation](http://developer.factual.com)
* [Factual Support](http://support.factual.com)
